## tribler 6.4.3+git20150522.3557ba92

=== debian/changelog ===
tribler (6.4.3+git20150522.3557ba92-1) unstable; urgency=low

  * New upstream release (Closes: #773466)
  * Bump Standards-Version to 3.9.6: nothing needs to be changed.
  * Remove tribler-swift package: not needed anymore

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 23 May 2015 16:06:50 +0800

=== debian/control ===
Source: tribler
Section: net
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dpkg-dev (>= 1.16.1~),
               python (>= 2.7.0)
Standards-Version: 3.9.6
Homepage: http://www.tribler.org/

Package: tribler
Architecture: all
Depends: libav-tools,
         libjs-excanvas,
         libjs-mootools,
         libx11-6,
         python-apsw,
         python-cherrypy3,
         python-cryptography,
         python-feedparser,
         python-gmpy,
         python-leveldb,
         python-libtorrent (>= 0.16.4),
         python-m2crypto,
         python-netifaces,
         python-pil,
         python-pyasn1,
         python-requests,
         python-twisted,
         python-wxgtk2.8,
         vlc (>= 1.1.0),
         ${misc:Depends},
         ${python:Depends}
Description: Python based Bittorrent/Internet TV application
 It allows you to watch videos and download content. Tribler aims to combine
 the ease of Youtube.com with the performance of peer-to-peer.
 .
 Tribler is backwards compatible with the Bittorrent download protocol. To
 discover interesting content standard RSS feeds with .torrent links are
 supported plus the "Tribe protocol" which automatically scans the network for
 available Bittorrent swarms upon startup. Tribler uses an embedded web
 browser to access video clips of Youtube.com and Liveleak.com. Other features
 are "People who like this also like" for recommending related swarms, the
 ability to make friends, and to donate idle upload capacity to friends. The
 later can improve download speed by a factor of two on asymmetric Internet
 links. The fastest way of social file sharing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
GIT_URL = https://github.com/Tribler/tribler.git

%:
	dh $@ --with python2

override_dh_auto_configure:
	chmod a-x $(CURDIR)/Tribler/Core/DecentralizedTracking/pymdht/ui/images/*.png
	dh_auto_configure

override_dh_install:
	dh_install --exclude=.git
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LICENSE.txt
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/LICENSE.txt
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/vwxGUI/images/license
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/LICENSE
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/ns-LICENSE.txt
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Test
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/Build
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Player/Build
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Transport/Build
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/Utility/Feeds/feedparser.py
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Core/DecentralizedTracking/pymdht/LGPL-2.1.txt
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/mootools.js
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/webUI/static/excanvas.js
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/dispersy/twisted/plugins/dropin.cache
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/dispersy/libnacl/LICENSE

	dh_link -ptribler usr/share/javascript/mootools/mootools.js usr/share/tribler/Tribler/Main/webUI/static/mootools.js
	dh_link -ptribler usr/share/javascript/excanvas/excanvas.js usr/share/tribler/Tribler/Main/webUI/static/excanvas.js

get-orig-source:
	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
		git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	git clone --recursive $(GIT_URL); echo "getting specific upstream revision/tag: $$git_version"; \
	cd `ls | head -n 1`; git checkout -b orig $$git_version; cd ..; \
	tar --exclude=.git --exclude=.gitignore --exclude='*.exe' --exclude='draft-ietf-ppsp-*' \
	-cJvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.xz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir

## tribler 7.2.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Tribler.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Tribler.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Tribler"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Tribler"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== doc/requirements.txt ===
sphinxcontrib-httpdomain==1.5.0
cryptography

=== debian/changelog ===
tribler (7.2.2-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 22 Jun 2019 02:02:23 -0700

tribler (7.0.0) unstable; urgency=medium

    * New release
    * See https://github.com/Tribler/tribler/releases/tag/v7.0.0 for more info.

 -- whirm <whirm@whirm.eu>  Fri, 13 May 2016 12:04:45 +0200

tribler (6.5.2) unstable; urgency=medium

    * New release
    * See https://github.com/Tribler/tribler/releases/tag/v6.5.2 for more info.
    * See https://github.com/Tribler/tribler/releases/tag/v6.5.1 for more info.

 -- whirm <whirm@whirm.eu>  Fri, 13 May 2016 12:04:44 +0200

tribler (6.5.0) unstable; urgency=medium

    * New release
    * See https://github.com/Tribler/tribler/releases/tag/v6.5.0 for more info.

 -- whirm <whirm@whirm.eu>  Fri, 12 Feb 2016 11:24:43 +0100

tribler (6.2.0) unstable; urgency=low

  * New release.

 -- Elric Milon <e.milon@tudelft.nl>  Wed, 31 Jul 2013 12:31:24 +0200

tribler (6.1) unstable; urgency=low

  * New upstream release.
  * Faster downloads: We have switched from the old python based bittorrent core to Rasterbar's libtorrent, so expect less resource usage too, we are saturating a symmetric 100Mb/s connection without much trouble.
  * Less disk and CPU consumption used for community synchronization.
  * UI improvements (download speed graphs, some new icons, general UI cleanup...)
  * Throttling (Bandwidth limitation) is working again.
  * The LibSwift engine has been updated too.
  * The "Save as" dialog has been modified to improve usability when downloading from magnet links.
  * Thumbnails for downloaded media: Now when a new video file gets downloaded, Tribler will automatically create a thumbnail and make it available to the rest of peers to be shown on the search results.
  * Fixed freezing at startup on some machines.
  * Fixed race conditions and lockups in synchronizations.
  * Various bug fixes and minor improvements.
  * Fixes for the bugs reported by the community during beta1 and beta2 (Thanks!)

 -- Elric Milon <e.milon@tudelft.nl>  Thu, 18 Apr 2013 17:39:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,49 @@
 Source: tribler
 Section: net
 Priority: optional
-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                dpkg-dev (>= 1.16.1~),
-               python (>= 2.7.0)
-Standards-Version: 3.9.6
-Homepage: http://www.tribler.org/
+               python (>= 2.7.0),
+               python-setuptools,
+Standards-Version: 3.9.5
+Homepage: https://www.tribler.org/
+X-Python-Version: 2.7
 
 Package: tribler
 Architecture: all
-Depends: libav-tools,
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ffmpeg | libav-tools,
          libjs-excanvas,
          libjs-mootools,
+         libsodium18 | libsodium13 | libsodium23,
          libx11-6,
          python-apsw,
+         python-chardet,
          python-cherrypy3,
+         python-configobj,
          python-cryptography,
+         python-decorator,
          python-feedparser,
-         python-gmpy,
          python-leveldb,
-         python-libtorrent (>= 0.16.4),
+         python-libnacl,
+         python-libtorrent (>= 0.16.18),
          python-m2crypto,
+         python-matplotlib,
+         python-meliae,
          python-netifaces,
+         python-networkx,
          python-pil,
-         python-pyasn1,
-         python-requests,
+         python-psutil,
+         python-pyqt5,
+         python-pyqt5.qtsvg,
          python-twisted,
-         python-wxgtk2.8,
          vlc (>= 1.1.0),
-         ${misc:Depends},
-         ${python:Depends}
+         python-faulthandler,
+         python-tk,
 Description: Python based Bittorrent/Internet TV application
  It allows you to watch videos and download content. Tribler aims to combine
  the ease of Youtube.com with the performance of peer-to-peer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
GIT_URL = https://github.com/Tribler/tribler.git

%:
	dh $@ --with python2

override_dh_auto_configure:
	dh_auto_configure

override_dh_install:
	dh_install --exclude=.git

	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/LICENSE
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Test
	rm -rf $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/Main/Build
	rm -f $(CURDIR)/debian/tribler/usr/share/tribler/Tribler/dispersy/twisted/plugins/dropin.cache

get-orig-source:
	set -e; if echo $(DEB_VERSION) | grep -c "git"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
	else \
		git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
	echo "checkout upstream repository ..."; \
	git clone --recursive $(GIT_URL); echo "getting specific upstream revision/tag: $$git_version"; \
	cd `ls | head -n 1`; git checkout -b orig $$git_version; cd ..; \
	tar --exclude=.git --exclude=.gitignore \
	-cJvf $(CURDIR)/$(DEB_SOURCE)_$(DEB_UPSTREAM_VERSION).orig.tar.xz `ls | head -n 1`; \
	cd $(CURDIR); \
	rm -rf $$tmpdir

## tribler 7.13.3

=== requirements.txt ===
aiohttp==3.8.1
aiohttp_apispec==2.2.1
pydantic==1.8.2
pygments==2.10.0
sphinx==4.3.0
sphinx_rtd_theme==1.0.0
sphinxcontrib-httpdomain==1.8.0
sphinxcontrib-openapi==0.7.0
configobj==5.0.6
mistune==0.8.4  # sphinxcontrib-openapi==0.7.0 cannot work with the latest mistune version (2.0.0)
MarkupSafe==2.0.1  # used by jinja2; 2.1.0 version removes soft_unicode and breaks jinja2-2.11.3
pyipv8==2.8.0
setuptools>=65.5.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== win/requirements.txt ===
--no-binary :all:

typing_extensions==4.2.0
pydantic==1.9.0

=== debian/changelog ===
tribler (7.13.3-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Thu, 14 Mar 2024 20:06:04 +0100

=== debian/control ===
Source: tribler
Section: Networking
Priority: optional
Maintainer: Tribler Team <info@tribler.org>, pavroo <pavroo@onet.eu>
Build-Depends: debhelper-compat (= 11)
Standards-Version: 4.5.0
Homepage: https://www.tribler.org/

Package: triber
Architecture: all
Depends: libsodium23 | libsodium18 | libsodium13, libx11-6, libxcb-xinerama0
Description: Python based Bittorrent/Internet TV application
 It allows you to watch videos and download content. Tribler aims to combine
 the ease of Youtube.com with the performance of peer-to-peer.
 .
 Tribler is backwards compatible with the Bittorrent download protocol. To
 discover interesting content standard RSS feeds with .torrent links are
 supported plus the "Tribe protocol" which automatically scans the network for
 available Bittorrent swarms upon startup. Tribler uses an embedded web
 browser to access video clips of Youtube.com and Liveleak.com. Other features
 are "People who like this also like" for recommending related swarms, the
 ability to make friends, and to donate idle upload capacity to friends. The
 later can improve download speed by a factor of two on asymmetric Internet
 links. The fastest way of social file sharing.
